<template>
  <li class="p-2 flex items-center justify-between border rounded">
    <label class="space-x-2">
      <input
        name="isDone"
        type="checkbox"
        :checked="todo.isDone"
        @change="toggleTodo(todo)"
      />
      <span :class="{ 'line-through text-gray-400': todo.isDone }">{{
        todo.content
      }}</span>
    </label>

    <button
      class="
        w-6
        ml-2
        grid
        rounded-full
        place-items-center
        transition-colors
        text-red-400
        hover:bg-red-200
        hover:text-red-500
      "
      @click="deleteTodo(todo.id)"
    >
      x
    </button>
  </li>
</template>

<script>
export default {
  props: {
    todo: {
      isDone: Boolean,
      content: String,
    },
    toggleTodo: { type: Function },
    deleteTodo: { type: Function },
  },
}
</script>
